Debian Bug report logs - #319859
xserver-xorg: config warning: failed to infer keyboard layout from layout/lang

version graph

Package: xserver-xorg; Maintainer for xserver-xorg is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg is src:xorg.

Reported by: Max Kutny <mkut@umc.ua>

Date: Mon, 25 Jul 2005 08:18:02 UTC

Severity: normal

Found in versions xserver-xorg/6.8.2.dfsg.1-3, xserver-xorg/6.8.2.dfsg.1-6, 7.0.22, 7.1.0-3

Fixed in version 7.1.0-5

Done: Ronny Aasen <ronny@skolelinux.no>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#319859; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Max Kutny <mkut@umc.ua>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Max Kutny <mkut@umc.ua>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg: config warning: failed to infer keyboard layout from layout/lang
Date: Mon, 25 Jul 2005 11:12:49 +0300
Package: xserver-xorg
Version: 6.8.2.dfsg.1-3
Severity: normal

Apparently I have no 'debian-installer' entries in the debconf database.
I'm not sure why it happend, most probably I lost my /var few years ago
and started to answer debconf questions from scratch or do have very old
setup or installed debian by some other means.

The problem is that xserver-xorg reports the following:
xserver-xorg config warning: migrating xserver-xfree86 templates to
   xserver-xorg.
xserver-xorg config warning: failed to infer keyboard layout from layout/lang
   '10 debian-installer/keymap doesn't exist--uk_UA'


When I try to reconfigure xserver I get the following:

mkut@maxmobil:$ sudo dpkg-reconfigure xserver-xorg
/usr/sbin/dpkg-reconfigure: xserver-xorg is broken or not fully installed

I would suggest to throw debconf question in case debian-installer entry
is absent.


Thanks.

-- Max


-- Package-specific info:
Contents of /var/lib/xfree86/X.roster:
xserver-xfree86
xserver-xorg

/etc/X11/X target unchanged from checksum in /var/lib/xfree86/X.md5sum.

X server symlink status:
lrwxrwxrwx  1 root root 17 2005-07-25 10:43 /etc/X11/X -> /usr/bin/X11/Xorg
-rwxr-xr-x  1 root root 1835416 2005-07-18 00:27 /usr/bin/X11/Xorg

Contents of /var/lib/xfree86/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
0000:01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 440 Go] (rev a3)

/etc/X11/xorg.conf does not match checksum in /var/lib/xfree86/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r--  1 root root 3348 2005-07-22 17:51 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# XF86Config-4 (XFree86 X server configuration file) generated by dexconf, the
# Debian X Configuration tool, using values from the debconf database.
#
# Edit this file with caution, and see the XF86Config-4 manual page.
# (Type "man XF86Config-4" at the shell prompt.)
#
# This file is automatically updated on xserver-xfree86 package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xfree86
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following commands as root:
#
#   cp /etc/X11/XF86Config-4 /etc/X11/XF86Config-4.custom
#   md5sum /etc/X11/XF86Config-4 > /var/lib/xfree86/XF86Config-4.md5sum
#   dpkg-reconfigure xserver-xfree86

Section "Files"
#	FontPath	"unix/:7100"			# local font server
	# if the local font server has problems, we can fall back on these
#	FontPath	"/usr/lib/X11/fonts/Type1"
#	FontPath	"/usr/lib/X11/fonts/CID"
#	FontPath	"/usr/lib/X11/fonts/Speedo"
	FontPath	"/usr/lib/X11/fonts/misc"
#	FontPath	"/usr/lib/X11/fonts/cyrillic"
#	FontPath	"/usr/lib/X11/fonts/100dpi"
#	FontPath	"/usr/lib/X11/fonts/75dpi"
#	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"glx"
	Load	"dbe"
	Load	"ddc"
	Load	"extmod"
	Load	"freetype"
	Load	"int10"
	Load	"record"
	Load	"type1"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"keyboard"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xfree86"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us,ru,ua"
	Option		"XkbVariant"	",winkeys,winkeys"
	Option		"XkbOptions"	"grp:alt_shift_toggle,altwin:meta_win"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
	Option		"ZAxisMapping"		"4 5"
EndSection

Section "InputDevice"
	Identifier	"Generic Mouse"
	Driver		"mouse"
	Option		"SendCoreEvents"	"true"
	Option		"Device"		"/dev/misc/psaux"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
	Option		"ZAxisMapping"		"4 5"
EndSection

Section "Device"
	Identifier	"NVidia"
	Driver		"nvidia"
#	Option		"DigitalVibrance"	"2"
#	Option		"ConnectedMonitor"	"TV, DFP"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	HorizSync	29-76
	VertRefresh	0-60
	Modeline 	"1600x1200"  162.00  1600 1664 1856 2160  1200 1201 1204 1250 -hsync -vsync
	Option		"DPMS"
	Option		"UseEdidFreqs"	"true"
	Option		"IgnoreEDID"	"true"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"NVidia"
	Monitor		"Generic Monitor"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes		"1600x1200"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1600x1200"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1600x1200"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1600x1200"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1600x1200" #"1024x768"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1600x1200" "1280x960" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
#	InputDevice	"Generic Mouse"
EndSection

Section "DRI"
	Mode	0666
EndSection



No Xorg X server log files found.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-1-686
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)

Versions of packages xserver-xorg depends on:
ii  debconf [debconf-2.0]     1.4.52         Debian configuration management sy
ii  libc6                     2.3.2.ds1-22   GNU C Library: Shared libraries an
ii  libgcc1                   1:4.0.1-2      GCC support library
ii  libselinux1               1.24-1         SELinux shared libraries
ii  libxau6                   6.8.2.dfsg.1-3 X Authentication library
ii  libxdmcp6                 6.8.2.dfsg.1-3 X Display Manager Control Protocol
ii  xserver-common            6.8.2.dfsg.1-3 files and utilities common to all 
ii  zlib1g                    1:1.2.2-9      compression library - runtime

Versions of packages xserver-xorg recommends:
pn  discover1                     <none>     (no description available)
pn  laptop-detect                 <none>     (no description available)
pn  mdetect                       <none>     (no description available)
pn  xresprobe                     <none>     (no description available)

-- debconf information:
* xserver-xorg/multiple_possible_x-drivers:
  xserver-xorg/config/monitor/use_sync_ranges: true
* xserver-xorg/config/inputdevice/mouse/port: /dev/input/mice
* xserver-xorg/config/monitor/lcd: true
* xserver-xorg/config/doublequote_in_string_error:
* xserver-xorg/config/monitor/screen-size: 17 inches (430 mm)
* shared/default-x-server: xserver-xorg
* xserver-xorg/autodetect_monitor: true
* xserver-xorg/config/inputdevice/mouse/protocol: ImPS/2
* shared/no_known_x-server:
* xserver-xorg/config/display/default_depth: 24
* xserver-xorg/config/display/modes: 1600x1200, 1280x1024, 1024x768, 800x600
* xserver-xorg/config/device/bus_id_error:
* xserver-xorg/config/inputdevice/keyboard/internal:
* xserver-xorg/config/monitor/vert-refresh: 60-75
* xserver-xorg/config/inputdevice/keyboard/options:
* xserver-xorg/config/inputdevice/mouse/zaxismapping: true
* xserver-xorg/config/device/use_fbdev:
* xserver-xorg/config/inputdevice/keyboard/variant: ,winkeys,winkeys
* xserver-xorg/config/nonnumeric_string_error:
* xserver-xorg/config/inputdevice/keyboard/layout: us,ua,ru
* xserver-xorg/config/modules: GLcore, bitmap, dbe, ddc, dri, extmod, freetype, glx, int10, record, speedo, type1, vbe
* xserver-xorg/config/monitor/identifier:
* xserver-xorg/config/inputdevice/mouse/emulate3buttons: true
* xserver-xorg/autodetect_mouse: true
* xserver-xorg/config/monitor/horiz-sync: 30-95
* xserver-xorg/config/device/video_ram:
* xserver-xorg/config/monitor/range_input_error:
* xserver-xorg/config/write_dri_section: true
* xserver-xorg/config/inputdevice/keyboard/model: pc104
* xserver-xorg/config/device/driver: nv
* xserver-xorg/config/device/identifier:
* xserver-xorg/config/monitor/selection-method: Advanced
* xserver-xorg/config/null_string_error:
* shared/multiple_possible_x-servers:
* xserver-xorg/config/device/bus_id:
* xserver-xorg/config/write_files_section: true
* xserver-xorg/autodetect_video_card: true
* xserver-xorg/config/monitor/mode-list: 1280x960 @ 60Hz
* xserver-xorg/config/inputdevice/keyboard/rules: xorg



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#319859; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 319859@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: 319859@bugs.debian.org
Subject: xserver-xorg: failed to infer keyboard layout from layout/lang
Date: Sat, 10 Sep 2005 11:36:09 +0200
Package: xserver-xorg
Version: 6.8.2.dfsg.1-6

Preconfiguring packages ...
xserver-xorg config warning: Migrating xserver-xfree86 debconf values to
   xserver-xorg.
xserver-xorg config warning: failed to infer keyboard layout from layout/lang
   '--'

and then:

(Reading database ... 248419 files and directories currently installed.)
Unpacking xserver-xorg (from .../xserver-xorg_6.8.2.dfsg.1-6_i386.deb) ...
xserver-xorg config warning: Migrating xserver-xfree86 debconf values to
   xserver-xorg.
xserver-xorg config warning: failed to infer keyboard layout from layout/lang
   '--'
Setting up xserver-xorg (6.8.2.dfsg.1-6) ...
xserver-xorg config warning: Migrating xserver-xfree86 debconf values to
   xserver-xorg.
xserver-xorg config warning: failed to infer keyboard layout from layout/lang
   '--'
xserver-xorg postinst warning: not updating /etc/X11/xorg.conf; file has
   been customized
 Adding system startup for /etc/init.d/xserver-xorg ...
   /etc/rcS.d/S71xserver-xorg -> ../init.d/xserver-xorg


Debconf settings are:

# debconf-show xserver-xfree86|grep keyboard
  xserver-xfree86/config/inputdevice/keyboard/internal:
* xserver-xfree86/config/inputdevice/keyboard/variant:
* xserver-xfree86/config/inputdevice/keyboard/layout: fr
* xserver-xfree86/config/inputdevice/keyboard/rules: xfree86
* xserver-xfree86/config/inputdevice/keyboard/model: pc105
* xserver-xfree86/config/inputdevice/keyboard/options: ctrl:nocaps

And the inferred setting are as follows:

# debconf-show xserver-xorg|grep keyboard
* xserver-xorg/config/inputdevice/keyboard/internal:
* xserver-xorg/config/inputdevice/keyboard/options:
* xserver-xorg/config/inputdevice/keyboard/variant:
* xserver-xorg/config/inputdevice/keyboard/layout: fr
* xserver-xorg/config/inputdevice/keyboard/model: pc105
* xserver-xorg/config/inputdevice/keyboard/rules: xorg


Obviously, the crtl:nocaps flag was not imported, but the other values
appear to be quite correct.

-- 
Yann Dirson    <ydirson@altern.org> |
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
                                    |  Freedom, Power, Stability, Gratis
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#319859; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 319859@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 319859@bugs.debian.org
Subject: Re: xserver-xorg: config warning: failed to infer keyboard layout from layout/lang
Date: Thu, 19 Oct 2006 19:12:30 +0200
seen 319859 7.1.0-3
thanks

I see a similar problem for the Norwegian keyboard layout using the
current xserver-xorg version 7.1.0-3 in tech.

  xserver-org config warning: failed to infer keyboard layout from layout/lang
    'no-latin1--nb_NO'

The keyboard layout to use in this case is the 'no' layout.

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#319859; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Ronny Aasen <ronny@skolelinux.no>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 319859@bugs.debian.org (full text, mbox):

From: Ronny Aasen <ronny@skolelinux.no>
To: 319859@bugs.debian.org
Subject: xserver-xorg fail to detect keyboard layout
Date: Thu, 26 Oct 2006 11:08:20 +0200
The problem might be from the way /var/lib/dpkg/info/xserver-xorg.config 
selects the keyboard layout.
it contains a part that goes like this

db_get debian-installer/keymap || debug_report_status "db_get 
debian-installer/keymap"
 DI_KEYMAP="${RET##mac-usb-}"
 DI_KEYMAP="${DI_KEYMAP##-latin1}"

 case "$DI_KEYMAP" in
be2) XMAP="be";;
   bg) XMAP="bg"; VARIANT="bds";;
   br) XMAP="us"; VARIANT="intl"; MODEL="pc104";;
[snip] 
  no) XMAP="no";;
[snip]
easc

and when my debian-installer/keymap  key contains no-latin1 it wont 
match it.

#debconf-get-selections | grep debian-installer/keymap
d-i     debian-installer/keymap string  no-latin1


i tested by altering
from:
 no) XMAP="no";;
to:
 no*) XMAP="no";;

and now it autodetects the correct keymap if you run dpkg-reconfigure 
xserver-xorg and attempt autodetecting keymap.
I am uncertain if this might have hidden consecquences and perhaps a 2 
line solution might be better

 no) XMAP="no";;
 no-latin1) XMAP="no";;

This probably affect several other layouts in addition to the Norwegian

Ronny Aasen




Bug marked as found in version 7.0.22. Request was from Ronny Aasen <ronny@skolelinux.no> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 7.1.0-3. Request was from Ronny Aasen <ronny@skolelinux.no> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#319859; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Ronny Aasen <ronny@skolelinux.no>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 319859@bugs.debian.org (full text, mbox):

From: Ronny Aasen <ronny@skolelinux.no>
To: 319859@bugs.debian.org
Subject: better suggestion
Date: Thu, 26 Oct 2006 13:56:01 +0200
after lunch one thinks better

the line
DI_KEYMAP="${DI_KEYMAP##-latin1}"

is ment to remove the -latin1 parts

but ## deletes from the left.
if one replaces with
DI_KEYMAP="${DI_KEYMAP%%-latin1}"

it works as expected.

Ronny Aasen




Reply sent to Ronny Aasen <ronny@skolelinux.no>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Max Kutny <mkut@umc.ua>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 319859-done@bugs.debian.org (full text, mbox):

From: Ronny Aasen <ronny@skolelinux.no>
To: 319859-done@bugs.debian.org
Subject: closing
Date: Sun, 29 Oct 2006 19:27:01 +0100
Version: 7.1.0-5
thanks

I notice this is fixed in etch now, but it is not closed in the 
changelog. So im closing it manualy.

the fix is by altering

DI_KEYMAP="${DI_KEYMAP##-latin1}"
to
DI_KEYMAP="${DI_KEYMAP%%-latin1}"


Ronny Aasen





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 01:51:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:54:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.